package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLObjectImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;

public class SQLAlterTablespaceAddDatafile extends SQLObjectImpl implements SQLAlterTablespacleItem {
   protected ArrayList<SQLCreateTablespaceStatement.FileItem> fileItems = new ArrayList();

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public ArrayList<SQLCreateTablespaceStatement.FileItem> getFileItems() {
      return this.fileItems;
   }

   public void setFileItems(ArrayList<SQLCreateTablespaceStatement.FileItem> fileItems) {
      this.fileItems = fileItems;
   }
}
